Package ghidra.app.util.bin.format.xcoff

# Class XCoffSymbolStorageClassCSECT

java.lang.Object
ghidra.app.util.bin.format.xcoff.XCoffSymbolStorageClassCSECT

public final class XCoffSymbolStorageClassCSECT extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `XMC_BS`
  `static final int`
  `XMC_DB`
  `static final int`
  `XMC_DS`
  `static final int`
  `XMC_GL`
  `static final int`
  `XMC_PR`
  `static final int`
  `XMC_RO`
  `static final int`
  `XMC_RW`
  `static final int`
  `XMC_SV`
  `static final int`
  `XMC_SV3264`
  `static final int`
  `XMC_SV64`
  `static final int`
  `XMC_TB`
  `static final int`
  `XMC_TC`
  `static final int`
  `XMC_TC0`
  `static final int`
  `XMC_TD`
  `static final int`
  `XMC_TI`
  `static final int`
  `XMC_UA`
  `static final int`
  `XMC_UC`
  `static final int`
  `XMC_XO`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XCoffSymbolStorageClassCSECT()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### XMC_PR

    public static final int XMC_PR
    See Also:
      - Constant Field Values

  - ### XMC_RO

    public static final int XMC_RO
    See Also:
      - Constant Field Values

  - ### XMC_DB

    public static final int XMC_DB
    See Also:
      - Constant Field Values

  - ### XMC_TC

    public static final int XMC_TC
    See Also:
      - Constant Field Values

  - ### XMC_UA

    public static final int XMC_UA
    See Also:
      - Constant Field Values

  - ### XMC_RW

    public static final int XMC_RW
    See Also:
      - Constant Field Values

  - ### XMC_GL

    public static final int XMC_GL
    See Also:
      - Constant Field Values

  - ### XMC_XO

    public static final int XMC_XO
    See Also:
      - Constant Field Values

  - ### XMC_SV

    public static final int XMC_SV
    See Also:
      - Constant Field Values

  - ### XMC_BS

    public static final int XMC_BS
    See Also:
      - Constant Field Values

  - ### XMC_DS

    public static final int XMC_DS
    See Also:
      - Constant Field Values

  - ### XMC_UC

    public static final int XMC_UC
    See Also:
      - Constant Field Values

  - ### XMC_TI

    public static final int XMC_TI
    See Also:
      - Constant Field Values

  - ### XMC_TB

    public static final int XMC_TB
    See Also:
      - Constant Field Values

  - ### XMC_TC0

    public static final int XMC_TC0
    See Also:
      - Constant Field Values

  - ### XMC_TD

    public static final int XMC_TD
    See Also:
      - Constant Field Values

  - ### XMC_SV64

    public static final int XMC_SV64
    See Also:
      - Constant Field Values

  - ### XMC_SV3264

    public static final int XMC_SV3264
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### XCoffSymbolStorageClassCSECT

    public XCoffSymbolStorageClassCSECT()